microsoft-foundry.rest.security.o-auth2-auth
Evaluators
Get evaluator credentials
POST
/evaluators/{name}/versions/{version}/credentials
Retrieves SAS credentials for accessing the storage account associated with the specified evaluator version.
パス パラメーター
name
string
必須
The name path parameter.
version
string
必須
The specific version id of the EvaluatorVersion to operate on.
クエリ パラメーター
api-version
string
必須
The API version to use for this operation.
要求本文
The credential request parameters
Content-Type: application/json
blob_uri
string
必須
The blob URI for the evaluator storage. Example: https://account.blob.core.windows.net:443/container
応答
The request has succeeded.
本文
Content-Type: application/json
blobReference
BlobReference
必須
Blob reference details.
blobUri
string
必須
Blob URI path for client to upload data. Example: https://blob.windows.core.net/Container/Path
storageAccountArmId
string
必須
ARM ID of the storage account to use.
credential
SasCredential
必須
SAS Credential definition
sasUri
string
必須
SAS uri
type
enum
必須
Type of credential
SAS
要求
POST /evaluators/{name}/versions/{version}/credentials HTTP/1.1
回答
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json